Skip to main content
PATCH
/
salesOrders
/
{salesOrderId}
/
notes
/
{noteId}
Update Sales Order Note
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/notes/{noteId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "NoteBody": "<string>"
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order that the notes belong to.

noteId
integer<int32>
required

The id of the note.

Body

application/json

The note to update.

Model Class: UpdateNote

NoteBody
string
required

The text in the customer note.

Response